CofeehousePy/Docker/bootstrap

73 lines
2.3 KiB
Plaintext
Raw Normal View History

2021-01-14 08:07:24 +01:00
#!/bin/sh
echo "### Initializing CoffeeHouse-Utils ###"
chmod a+x /usr/local/bin/update_server
if [ ! -f /firstrun.pass ]; then
echo "(!) First run! Installing resources..."
update_server
echo "(+) Setting boot flag..."
touch /firstrun.pass
echo "[...] Restarting server in detached mode..."
else
cd /CoffeeHousePy
echo "### Starting CoffeeHouse-LangDetect ###"
make start_langdetect &
echo "### Starting CoffeeHouse-SpamDetect ###"
make start_spamdetect &
echo "### Starting CoffeeHouse-CoreNLP ###"
make start_corenlp &
2021-01-14 19:21:07 +01:00
echo "### Starting CoffeeHouse-NSFW ###"
make start_nsfw &
echo "### Checking Service Status ###"
if ! python3 scripts/warmup.py; then
echo "ERROR: Some services failed to start successfully duing the warmup process"
exit 1
fi
echo "### Starting Ping Service ###"
make start_ping &
2021-01-14 08:07:24 +01:00
while sleep 60; do
# If grep find anything, they exit with 0 status
# If they are not 0, then something is wrong
ps aux | grep coffeehouse_languagedetection | grep -q -v grep
LANGDETECT_STATUS=$?
if [ $LANGDETECT_STATUS -ne 0 ]; then
echo "ERROR: coffeehouse_languagedetection has been terminated, terminating container."
exit 1
fi
ps aux | grep coffeehouse_spamdetection | grep -q -v grep
SPAMDETECT_STATUS=$?
if [ $SPAMDETECT_STATUS -ne 0 ]; then
echo "ERROR: coffeehouse_spamdetection has been terminated, terminating container."
exit 1
fi
2021-01-14 19:21:07 +01:00
ps aux | grep coffeehouse_nsfw | grep -q -v grep
NSFW_STATUS=$?
if [ $NSFW_STATUS -ne 0 ]; then
echo "ERROR: coffeehouse_nsfw has been terminated, terminating container."
exit 1
fi
ps aux | grep coffeehouse_ping | grep -q -v grep
PING_STATUS=$?
if [ $PING_STATUS -ne 0 ]; then
echo "ERROR: coffeehouse_ping has been terminated, terminating container."
exit 1
fi
2021-01-14 08:07:24 +01:00
ps aux | grep edu.stanford.nlp.pipeline.StanfordCoreNLPServer | grep -q -v grep
CORENLP_STATUS=$?
if [ $CORENLP_STATUS -ne 0 ]; then
echo "ERROR: coffeehouse_corenlp has been terminated, terminating container."
exit 1
fi
2021-01-14 19:21:07 +01:00
2021-01-14 08:07:24 +01:00
done
2021-01-09 01:43:27 +01:00
fi